Katello - Bug #6367

Bug 1112664 - 'Access denied' when registering using --consumerid
06/24/2014 09:21 PM - dustin tsang

Status: Closed

Priority: High

Assignee: dustin tsang

Category: API

Target version: Katello 2.0

Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1112664 Red Hat JIRA:

Pull request:

Description

Created attachment 911709 [details]
relevant part of /var/log/foreman/production.log

Description of problem:
| created a content-host profile on sat6é using hammer and wanted to register and attach a client machine to the existing profile. The
registration process failed with 'Access denied'.

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140620.0

How reproducible:
always

Steps to Reproduce:
1. on sat6 server:

1. hammer content-host create --organization-id 1 --name try

Name: try

ID: 08044f08-ec92-4215-a2dc-3cb4f524c31f
Description: Initial Registration Params

Location: None

Lifecycle Environment: Library

Content View: Default Organization View

Entitlement Status: valid
Release Version:
Autoheal: true

Content host created
2. on the client machine:

1. rpm -ga katello-ca-consumer* #

2. rpm -Uvh http://ibm-x3650-05.0virt.rhts.eng.bos.redhat.com/pub/katello-ca-consumer-latest.noarch.rpm
Retrieving http://ibm-x3650-05.0virt.rhts.eng.bos.redhat.com/pub/katello-ca-consumer-latest.noarch.rpm
Preparing... HEHHHHHHEHEHHHHEHEHE A [100%)
1:katello-ca-consumer-iom#HHHHEHHHHHHEHEHEHHEHEHEHEHHEHEHEHREHEREHE [100%)] #

3. rpm -ga katello-ca-consumer*katello-ca-consumer-ibm-x3650-05.ovirt.rhts.eng.bos.redhat.com-1.0-1 #

4. subscription-manager register --consumerid 08044f08-ec92-4215-a2dc-3cb4f524c31f --force
Username: admin
Password:

Access denied

Actual results:
Access denied

Expected results:
http://ibm-x3650-05.ovirt.rhts.eng.bos.redhat.com/pub/katello-ca-consumer-latest.noarch.rpm
http://ibm-x3650-05.ovirt.rhts.eng.bos.redhat.com/pub/katello-ca-consumer-latest.noarch.rpm

Successful registration and attachment with the existing profile

Additional info:
Relevant part of /var/log/foreman/production.log in attachment.
This is a real blocker for system profile migration from Sat5.

Associated revisions

Revision 8655953 - 06/27/2014 06:02 PM - dustin tsang

Fixes #6367 - cnsmer_shw auth client/usr BZ1112664
access denied received when registering using subscription-manger using the
consumerld flag was for a preliminary call to check that the consumer

exists. This allows :consumer_show authorization through client or user
instead of solely by client.

Revision 969ddc23 - 06/30/2014 10:36 AM - Eric Helms

Merge pull request #4338 from dustint-rh/subman_consumer_reg

Fixes #6367 - cnsmer_shw auth client/usr BZ1112664

History

#1 - 06/25/2014 02:25 PM - Eric Helms
- Triaged changed from No to Yes

#2 - 06/30/2014 10:53 AM - dustin tsang

- Status changed from Assigned to Closed

#3 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
